Public Class FrmElectricBill

    Private Sub chkCentralAir_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkCentralAir.CheckedChanged
        lblResult.Text = ""
    End Sub

    Private Sub cboSeason_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboSeason.SelectedIndexChanged
        lblResult.Text = ""

        Select Case cboSeason.Text
            Case "Spring"
                lblResult.BackColor = Color.LightGreen
            Case "Summer"
                lblResult.BackColor = Color.LightYellow
            Case "Fall"
                lblResult.BackColor = Color.Wheat
            Case "Winter"
                lblResult.BackColor = Color.White
        End Select
    End Sub

    Private Sub cboStyle_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboStyle.SelectedIndexChanged
        lblResult.Text = ""
    End Sub

    Private Sub btnCalculate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCalculate.Click
        Dim Cost As Double = 0

        If cboSeason.Text = "Select a season" Then
            MsgBox("Please select a season.")
            cboSeason.Focus()
            Exit Sub
        End If

        If cboStyle.Text = "Select a style" Then
            MsgBox("Please select a style.")
            cboStyle.Focus()
            Exit Sub
        End If

        Select Case cboStyle.Text
            Case "Single"
                Select Case cboSeason.Text
                    Case "Spring"
                        Cost = 50
                    Case "Summer"
                        If chkCentralAir.Checked Then
                            Cost = 200
                        Else
                            Cost = 50
                        End If
                    Case "Fall"
                        Cost = 50
                    Case "Winter"
                        Cost = 250
                End Select
            Case "Duplex"
                Select Case cboSeason.Text
                    Case "Spring"
                        Cost = 40
                    Case "Summer"
                        If chkCentralAir.Checked Then
                            Cost = 150
                        Else
                            Cost = 40
                        End If
                    Case "Fall"
                        Cost = 40
                    Case "Winter"
                        Cost = 200
                End Select
            Case "Row"

                Select Case cboSeason.Text
                    Case "Spring"
                        Cost = 35
                    Case "Summer"
                        If chkCentralAir.Checked Then
                            Cost = 125
                        Else
                            Cost = 35
                        End If
                    Case "Fall"
                        Cost = 35
                    Case "Winter"
                        Cost = 175
                End Select
        End Select

        lblResult.Text = "Your bill for a " & cboStyle.Text & vbCrLf
        lblResult.Text &= "in the " & cboSeason.Text & vbCrLf
        If chkCentralAir.Checked Then
            lblResult.Text &= "with central air" & vbCrLf
        Else
            lblResult.Text &= "without central air" & vbCrLf
        End If
        lblResult.Text &= "is " & Format(Cost, "Currency")

    End Sub
End Class
